# LECTURA Y FRANCIZACIÓN CONJUNTO DE DATOS DE LONGLEY SOBRE EL PIB Y EL DESEMPLEO DE ESTADOS UNIDOS
# uso en modo ruidoso (default): Z <- f_longley() 
# uso en mode silencioso            : Z <- f_longley(FALSE) 

f_longley <- function(verbose = TRUE){
  require(stats)      # estadísticas básicas
  require(graphics)   # gráficos básicos
  require(dplyr)      # librería de manipulación de datos
  source("pair_panels.R")
  Z <- data.frame(longley[, 1:7],row.names = NULL) # lectura 
  Z <- rename(Z,      # inglés -> español
              an =  Year,
              indice_PIB= GNP.deflator, 
              PIB=GNP,
              desempleados =  Unemployed, 
              militares =  Armed.Forces, 
              poblacion =  Population,
              empleados = Employed)
  
  orden <- sort(names(Z))     # obtener las columnas por orden alfabético
  Z <- data.frame(Z[,orden])  # reclasificar los pases (podríamos haberlo hecho
  # a mano con orden <- c("anio","desempleados"...))
  
  if (verbose){
    glimpse(Z)          # ver qué hay en los datos
    pairs(Z,diag.panel = panel.hist,
          upper.panel = panel.cor,
          lower.panel = panel.smooth,
          main ="visualización rápida: data longley")
    y <- data.frame(travailleurs = Z$travailleurs) # destino para la REGRESIÓN
    X <- select(Z, - travailleurs)                 # features
    print(summary(lm(y[,1]~ .,X)) )                # REGRESSION TEST
  }
  Z                                                # devuelve el data_frame                                     
}

df1 <- f_longley()

# rcommander
library(Rcmdr) 

# rattle
library(rattle)
rattle()

